Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Interface RedisListCommands

All Known Subinterfaces:
  RedisCommands, RedisConnection, StringRedisConnection

All Known Implementing Classes:
  DefaultStringRedisConnection, JedisConnection, JredisConnection, LettuceConnection, SrpConnection

    public interface RedisListCommands

List-specific commands supported by Redis.

Nested Class Summary
`static class` | `RedisListCommands.Position` List insertion position.

Method Summary
`List<byte[]>` | `bLPop(int timeout, byte[]... keys)`
`List<byte[]>` | `bRPop(int timeout, byte[]... keys)`
`byte[]` | `bRPopLPush(int timeout, byte[] srcKey, byte[] dstKey)`
`byte[]` | `lIndex(byte[] key, long index)`
`Long` | `lInsert(byte[] key, RedisListCommands.Position where, byte[] pivot, byte[] value)`
`Long` | `lLen(byte[] key)`
`byte[]` | `lPop(byte[] key)`
`Long` | `lPush(byte[] key, byte[]... value)`
`Long` | `lPushX(byte[] key, byte[] value)`
`List<byte[]>` | `lRange(byte[] key, long begin, long end)`
`Long` | `lRem(byte[] key, long count, byte[] value)`
`void` | `lSet(byte[] key, long index, byte[] value)`
`void` | `lTrim(byte[] key, long begin, long end)`
`byte[]` | `rPop(byte[] key)`
`byte[]` | `rPopLPush(byte[] srcKey, byte[] dstKey)`
`Long` | `rPush(byte[] key, byte[]... values)`
`Long` | `rPushX(byte[] key, byte[] value)`

Method Detail

### rPush

    Long rPush(byte[] key,
               byte[]... values)

### lPush

    Long lPush(byte[] key,
               byte[]... value)

### rPushX

    Long rPushX(byte[] key,
                byte[] value)

### lPushX

    Long lPushX(byte[] key,
                byte[] value)

### lLen

    Long lLen(byte[] key)

### lRange

    List<byte[]> lRange(byte[] key,
                        long begin,
                        long end)

### lTrim

    void lTrim(byte[] key,
               long begin,
               long end)

### lIndex

    byte[] lIndex(byte[] key,
                  long index)

### lInsert

    Long lInsert(byte[] key,
                 RedisListCommands.Position where,
                 byte[] pivot,
                 byte[] value)

### lSet

    void lSet(byte[] key,
              long index,
              byte[] value)

### lRem

    Long lRem(byte[] key,
              long count,
              byte[] value)

### lPop

    byte[] lPop(byte[] key)

### rPop

    byte[] rPop(byte[] key)

### bLPop

    List<byte[]> bLPop(int timeout,
                       byte[]... keys)

### bRPop

    List<byte[]> bRPop(int timeout,
                       byte[]... keys)

### rPopLPush

    byte[] rPopLPush(byte[] srcKey,
                     byte[] dstKey)

### bRPopLPush

    byte[] bRPopLPush(int timeout,
                      byte[] srcKey,
                      byte[] dstKey)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD